import java.io.*;
import java.util.*;

public class Main {

    public static void main(String[] args) throws IOException {
        int t = nextInt();
        for (int q = 0; q < t; q++) {
            int n = nextInt();
            int m = nextInt();
            double[] vertical = half(sum(1, m, n - 1), n, m - 1);
            double[] horizontal = half(sum(1, 1, m - 1), m * m, n - 1);
            if (vertical[1] <= horizontal[1]) {
                out.print("V ");
                out.print((int) vertical[0] + 2);
                out.println();
            }
            else {
                out.print("H ");
                out.print((int) horizontal[0] + 2);
                out.println();
            }
        }
        out.close();
    }

    public static double[] half(long x, long a, long b) {
        long sum = sum(x, a, b);
        double half = ((double) sum) / 2;
        int d = (int) ((double) b / 1.41);
        while (Math.abs(half - sum(x, a, d)) >= Math.abs(half - sum(x, a, d - 1))) {
            d--;
        }
        double[] ans = new double[2];
        ans[0] = d;
        ans[1] = Math.abs(half - sum(x, a, d));
        return ans;
    }

    public static long sum(long x, long a, long b) {
        return (b + 1) * x + a * b * (b + 1) / 2;
    }

    static BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
    static PrintWriter out = new PrintWriter(System.out);
    static StringTokenizer in = new StringTokenizer("");


    public static String nextToken() throws IOException {
        while (in == null || !in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public static int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public static double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public static long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }
}