import java.io.*;
import java.lang.reflect.Array;
import java.util.*;

public class Main {
    static HashSet<Integer> unused;
    static int[] possible_answer;
    static ArrayList<Integer>[] a;
    static int[]distance;
    static int n;
    public static void main(String[] args) throws IOException {
        n = nextInt();
        a = new ArrayList[n];
        possible_answer = new int[n];
        distance = new int[n];
        unused = new HashSet<>();
        for (int i = 0; i < n; i++) {
            a[i] = new ArrayList<>();
            unused.add(i + 1);
        }
        for (int i = 0; i < n; i++) {
            int m = nextInt();
            int s = nextInt();
            distance[i] = s;
            for (int j = 0; j < m; j++) {
                a[i].add(nextInt());
            }
        }
        f(0);
        out.print("No");
        out.close();
    }

    public static void f(int i) {
        if (i == n) {
            if (check()) {
                out.println("Yes");
                for (int q : possible_answer) {
                    out.print(q + " ");
                }
                out.close();
                System.exit(0);
            }
        }
        HashSet<Integer> unused1 = new HashSet<>(unused);
        for (int a : unused1) {
            possible_answer[i] = a;
            unused.remove(a);
            f(i + 1);
            possible_answer[i] = 0;
            unused.add(a);
        }

    }

    public static boolean check() {
        ArrayList<Integer> stiks = new ArrayList<>();
        int d = 0;
        for (int i : possible_answer) {
            for (int j : a[i - 1]) {
                stiks.add(d + j);
            }
            d += distance[i - 1];
        }
        int dis= -1;
        for (int i = 1; i < stiks.size(); i++) {
            if (stiks.get(i) - stiks.get(i - 1) != dis && dis != -1) {
                return false;
            }
            else {
                dis = stiks.get(i) - stiks.get(i - 1);
            }
        }
        return true;
    }

    static BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
    static PrintWriter out = new PrintWriter(System.out);
    static StringTokenizer in = new StringTokenizer("");


    public static String nextToken() throws IOException {
        while (in == null || !in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public static int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public static double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public static long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }
}