import java.io.*;
import java.util.*;

public class Main {

    public static void main(String[] args) throws IOException {
        long x = nextLong();
        int q = nextInt();
        if (q == 0) {
            out.println(solver(x));
        }
        else {
            String s = Long.toString(x);
            if (Long.parseLong(s.substring(1)) == 0) {
                out.println(x);
                out.close();
                return;
            }
            int n = s.length();
            int first_number = Integer.parseInt(s.substring(0, 1));
            long answer = Long.parseLong(Integer.toString(first_number) + Long.toString(number(9, n - 1)));
            for (int i = 8; i > 0; i--) {
                long w = Long.parseLong(Integer.toString(first_number) + Long.toString(number(i, n - 1)));
                if (w < answer && w >= x) {
                    answer = w;
                }
            }
            s = Long.toString(number(first_number, n));
            for (int index = 1; index < n; index++) {
                for (int i = 0; i <= 9; i++) {
                    long w = Long.parseLong(s.substring(0, index) + i + s.substring(index + 1));
                    if (w < answer && w >= x) {
                        answer = w;
                    }
                }
            }
            out.println(answer);
        }
        out.close();
    }

    public static long number(long n, int l) {
        long N = n;
        for (int i = 1; i < l; i++) {
            N *= 10;
            N += n;
        }
        return N;
    }

    public static long solver(long n) {
        String s = Long.toString(n);
        int n1 = Integer.parseInt(Character.toString(s.charAt(0)));
        if (number(n1, s.length()) >= n) {
            return number(n1, s.length());
        }
        else {
            return number(n1 + 1, s.length());
        }
    }



    static BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
    static PrintWriter out = new PrintWriter(System.out);
    static StringTokenizer in = new StringTokenizer("");


    public static String nextToken() throws IOException {
        while (in == null || !in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public static int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public static double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public static long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }
}